Method: environments.list

Full name: accounts.containers.environments.list

Lists all GTM Environments of a GTM Container.

HTTP request

GET https://tagmanager.googleapis.com/tagmanager/v1/accounts/{accountId}/containers/{containerId}/environments

Path parameters

Parameters
accountId

string

The GTM Account ID.

containerId

string

The GTM Container ID.

Request body

The request body must be empty.

Response body

List Environments Response.

If successful, the response body contains data with the following structure:

JSON representation
{
  "environments": [
    {
      object (Environment)
    }
  ]
}
Fields
environments[]

object (Environment)

All Environments of a GTM Container.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/tagmanager.edit.containers
  • https://www.googleapis.com/auth/tagmanager.readonly

For more information, see the OAuth 2.0 Overview.